# Class StateClassification.Default

java.lang.Object
jebl.evolution.sequences.StateClassification.Default

All Implemented Interfaces:
  `StateClassification`

Enclosing interface:
  `StateClassification`

public static class StateClassification.Default extends Object implements StateClassification

Version:
  $Id: StateClassification.java 206 2006-02-02 17:49:56Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Nested Class Summary

### Nested classes/interfaces inherited from interface StateClassification

`StateClassification.Default`

## Constructor Summary

Constructors
Constructor
Description
`Default(String name, String[] setNames, State[][] stateSets)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getSetName(State state)`
`Set<String>`
`getSetNames()`
`Set<State>`
`getStateSet(String setName)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Default

public Default(String name, String[] setNames, State[][] stateSets)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `StateClassification`

### getSetNames

public Set<String> getSetNames()

Specified by:
  `getSetNames` in interface `StateClassification`

### getSetName

public String getSetName(State state)

Specified by:
  `getSetName` in interface `StateClassification`

### getStateSet

public Set<State> getStateSet(String setName)

Specified by:
  `getStateSet` in interface `StateClassification`